Skip to main content
GET
/
api
/
v1
/
workflows
List workflows for an institution
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/workflows \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "workflow",
      "attributes": {
        "name": "<string>",
        "begins_on": "2023-12-25",
        "ends_on": "2023-12-25",
        "evaluation_period_start": "2023-12-25",
        "evaluation_period_end": "2023-12-25",
        "category": "<string>",
        "draft_mode": true,
        "archived_at": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      },
      "relationships": {
        "department": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "department",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "cursor": "<string>"
    }
  },
  "links": {
    "first": "<string>",
    "last": "<string>",
    "next": "<string>",
    "prev": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

filter[name]
string
filter[name.neq]
string
filter[name.cont]
string

Case-insensitive substring match

filter[name.in]
string

Comma-separated list

filter[name.nin]
string

Comma-separated list

filter[begins_on]
string

ISO 8601 date (e.g., 2024-01-15)

filter[begins_on.neq]
string

ISO 8601 date (e.g., 2024-01-15)

filter[begins_on.lt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[begins_on.lte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[begins_on.gt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[begins_on.gte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[ends_on]
string

ISO 8601 date (e.g., 2024-01-15)

filter[ends_on.neq]
string

ISO 8601 date (e.g., 2024-01-15)

filter[ends_on.lt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[ends_on.lte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[ends_on.gt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[ends_on.gte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[category]
string
filter[category.neq]
string
filter[category.cont]
string

Case-insensitive substring match

filter[category.in]
string

Comma-separated list

filter[category.nin]
string

Comma-separated list

filter[draft_mode]
string

true or false

Response

workflows found for non-admin user

data
object[]
required
meta
object